<!-- ...................................................................... -->
<!-- Speech Recognition Grammar Format Module  ............................ -->
<!-- file: speech-grammar-1.mod

     This is the Speech Recognition Grammar Format, formulated as an XML module.
     
     SRGF DTD v0.93 20010816
     
	 Copyright 1998-2002 W3C (MIT, INRIA, Keio), All Rights Reserved. 

	 Permission to use, copy, modify and distribute the SRGF DTD and 
	 its accompanying documentation for any purpose and without fee is 
	 hereby granted in perpetuity, provided that the above copyright 
	 notice and this paragraph appear in all copies.  

	 The copyright holders make no representation about the suitability 
	 of the DTD for any purpose. It is provided "as is" without expressed 
	 or implied warranty.

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//DTD GRAMMAR 1.0//EN"
       SYSTEM "speech-grammar-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- Grammar elements

        ruleref, token, tag, one-of, item, rule, example, alias, lexicon,
        meta, grammar

     This module declares the grammar element types and their attributes.
-->

<!ENTITY % SRGF.ruleref.qname "ruleref" >
<!ENTITY % SRGF.token.qname "token" >
<!ENTITY % SRGF.tag.qname "tag" >
<!ENTITY % SRGF.one-of.qname "one-of" >
<!ENTITY % SRGF.item.qname "item" >
<!ENTITY % SRGF.rule.qname "rule" >
<!ENTITY % SRGF.example.qname "example" >
<!ENTITY % SRGF.alias.qname "alias" >
<!ENTITY % SRGF.lexicon.qname "lexicon" >
<!ENTITY % SRGF.meta.qname "meta" >
<!ENTITY % SRGF.metadata.qname "metadata" >
<!ENTITY % SRGF.grammar.qname "grammar" >

<!ENTITY % RuleExpansion.class 
	"#PCDATA 
      | %SRGF.token.qname; 
      | %SRGF.ruleref.qname;
      | %SRGF.item.qname;
      | %SRGF.one-of.qname; 
      | %SRGF.tag.qname;"
>

<!-- ruleref:  Definition List ........................... -->
<!ENTITY % SRGF.ruleref.element "INCLUDE" >
<![%SRGF.ruleref.element;[
<!ENTITY % SRGF.ruleref.content "EMPTY" >
<!ELEMENT %SRGF.ruleref.qname; %SRGF.ruleref.content; >
<!-- end of ruleref.element -->]]>

<!ENTITY % SRGF.ruleref.attlist "INCLUDE" >
<![%SRGF.ruleref.attlist;[
<!ATTLIST %SRGF.ruleref.qname;
	uri		CDATA		#IMPLIED
	type		CDATA		#IMPLIED
	special		(NULL | VOID | GARBAGE)	#IMPLIED >
<!-- end of ruleref.attlist -->]]>

<!-- token:  Definition List ............................. -->
<!ENTITY % SRGF.token.element "INCLUDE" >
<![%SRGF.token.element;[
<!ENTITY % SRGF.token.content "(#PCDATA)" >
<!ELEMENT %SRGF.token.qname; %SRGF.token.content; >
<!-- end of token.element -->]]>

<!ENTITY % SRGF.token.attlist "INCLUDE" >
<![%SRGF.token.attlist;[
<!ATTLIST %SRGF.token.qname;
	xml:lang	NMTOKEN  #IMPLIED >
<!-- end of token.attlist -->]]>

<!-- tag:  Definition List ............................... -->
<!ENTITY % SRGF.tag.element "INCLUDE" >
<![%SRGF.tag.element;[
<!ENTITY % SRGF.tag.content "(#PCDATA)" >
<!ELEMENT %SRGF.tag.qname; %SRGF.tag.content; >
<!-- end of tag.element -->]]>

<!-- one-of:  Definition List ............................ -->
<!ENTITY % SRGF.one-of.element "INCLUDE" >
<![%SRGF.one-of.element;[
<!ENTITY % SRGF.one-of.content "(%SRGF.item.qname;)+" >
<!ELEMENT %SRGF.one-of.qname; %SRGF.one-of.content; >
<!-- end of one-of.element -->]]>

<!ENTITY % SRGF.one-of.attlist "INCLUDE" >
<![%SRGF.one-of.attlist;[
<!ATTLIST %SRGF.one-of.qname;
	xml:lang	NMTOKEN	#IMPLIED >
<!-- end of one-of.attlist -->]]>

<!-- item:  Definition List .............................. -->
<!ENTITY % SRGF.item.element "INCLUDE" >
<![%SRGF.item.element;[
<!ENTITY % SRGF.item.content	"(%RuleExpansion.class;)*" >
<!ELEMENT %SRGF.item.qname; %SRGF.item.content; >
<!-- end of item.element -->]]>

<!ENTITY % SRGF.item.attlist "INCLUDE" >
<![%SRGF.item.attlist;[
<!ATTLIST %SRGF.item.qname;
	repeat		NMTOKEN	#IMPLIED
	repeat-prob	CDATA	#IMPLIED
	weight		NMTOKEN	#IMPLIED 
	xml:lang	NMTOKEN	#IMPLIED >
<!-- end of item.attlist -->]]>

<!-- rule:  Definition List .............................. -->
<!ENTITY % SRGF.rule.element "INCLUDE" >
<![%SRGF.rule.element;[
<!ENTITY % SRGF.rule.content "(%RuleExpansion.class; | %SRGF.example.qname;)*" >
<!ELEMENT %SRGF.rule.qname; %SRGF.rule.content; >
<!-- end of rule.element -->]]>

<!ENTITY % SRGF.rule.attlist "INCLUDE" >
<![%SRGF.rule.attlist;[
<!ATTLIST %SRGF.rule.qname;
	id		ID		#REQUIRED
	scope 	(private | public) 'private' >
<!-- end of rule.attlist -->]]>

<!-- example:  Definition List ........................... -->
<!ENTITY % SRGF.example.element "INCLUDE" >
<![%SRGF.example.element;[
<!ENTITY % SRGF.example.content "(#PCDATA)" >
<!ELEMENT %SRGF.example.qname; %SRGF.example.content; >
<!-- end of example.element -->]]>

<!-- lexicon:  Definition List ........................... -->
<!ENTITY % SRGF.lexicon.element "IGNORE" >
<![%SRGF.lexicon.element;[
<!ENTITY % SRGF.lexicon.content "EMPTY" >
<!ELEMENT %SRGF.lexicon.qname; %SRGF.lexicon.content; >
<!-- end of lexicon.element -->]]>

<!ENTITY % SRGF.lexicon.attlist "IGNORE" >
<![%SRGF.lexicon.attlist;[
<!ATTLIST %SRGF.lexicon.qname;
	uri	CDATA	#REQUIRED >
<!-- end of lexicon.attlist -->]]>

<!-- meta:  Definition List .............................. -->
<!ENTITY % SRGF.meta.element "INCLUDE" >
<![%SRGF.meta.element;[
<!ENTITY % SRGF.meta.content "EMPTY" >
<!ELEMENT %SRGF.meta.qname; %SRGF.meta.content; >
<!-- end of meta.element -->]]>

<!ENTITY % SRGF.meta.attlist "INCLUDE" >
<![%SRGF.meta.attlist;[
<!ATTLIST %SRGF.meta.qname;
	name		NMTOKEN	#IMPLIED
	content		CDATA	#REQUIRED
	http-equiv 	NMTOKEN	#IMPLIED >
<!-- end of meta.attlist -->]]>

<!-- metadata:  Definition List ............................ -->
<!ENTITY % SRGF.metadata.element "INCLUDE" >
<![%SRGF.metadata.element;[
<!ENTITY % SRGF.metadata.content "ANY" >
<!ENTITY % SRGF.metadata.qname "metadata" >
<!ELEMENT %SRGF.metadata.qname; %SRGF.metadata.content; >
<!-- end of metadata.element -->]]>

<!-- grammar:  Definition List ........................... -->
<!ENTITY % SRGF.grammar.element "IGNORE" >
<![%SRGF.grammar.element;[
<!ENTITY % SRGF.grammar.content  
	"(%SRGF.alias.qname; | %SRGF.lexicon.qname; | %SRGF.metadata.qname; 
	  | %SRGF.meta.qname; | %SRGF.rule.qname; | %SRGF.tag.qname;)*"
>
<!ELEMENT %SRGF.grammar.qname; %SRGF.grammar.content; >
<!-- end of grammar.element -->]]>

<!ENTITY % SRGF.grammar.attlist "IGNORE" >
<![%SRGF.grammar.attlist;[
<!ATTLIST %SRGF.grammar.qname;
	tag-format	CDATA	#IMPLIED
	version		NMTOKEN	#REQUIRED
	xml:lang	NMTOKEN	#IMPLIED
	root		IDREF	#IMPLIED
	mode	(voice | dtmf) 'voice' >
<!-- end of grammar.attlist -->]]>

<!-- end of speech-grammar-1.mod -->
