<!-- ...................................................................... -->
<!-- VOICEXML Modular Framework Module  ................................... -->
<!-- file: voicexml-framework-1.mod

     This is VOICEXML, reformulated as a modular XML application.
     Copyright 1998-2002 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: voicexml-framework-1.mod,v 4.0 2002/04/08 gm Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ENTITIES VOICEXML Modular Framework 1.0//EN"
       SYSTEM "voicexml-framework-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- Modular Framework

     This required module instantiates the modules needed
     to support the VOICEXML modularization model, including:

        +  notations
        +  datatypes
        +  namespace-qualified names
        +  common attributes
        +  document model

     The Intrinsic Events module is ignored by default but
     occurs in this module because it must be instantiated
     prior to Attributes but after Datatypes.
-->

<!ENTITY % voicexml-arch.module "IGNORE" >
<![%voicexml-arch.module;[
<!ENTITY % voicexml-arch.mod
     PUBLIC "-//W3C//ELEMENTS VOICEXML Base Architecture 1.0//EN"
            "voicexml-arch-1.mod" >
%voicexml-arch.mod;]]>

<!ENTITY % voicexml-notations.module "INCLUDE" >
<![%voicexml-notations.module;[
<!ENTITY % voicexml-notations.mod
     PUBLIC "-//W3C//NOTATIONS VOICEXML Notations 1.0//EN"
            "voicexml-notations-1.mod" >
%voicexml-notations.mod;]]>

<!ENTITY % voicexml-datatypes.module "INCLUDE" >
<![%voicexml-datatypes.module;[
<!ENTITY % voicexml-datatypes.mod
     PUBLIC "-//W3C//ENTITIES VOICEXML Datatypes 1.0//EN"
            "voicexml-datatypes-1.mod" >
%voicexml-datatypes.mod;]]>

<!-- placeholder for XLink support module -->
<!ENTITY % voicexml-xlink.mod "" >
%voicexml-xlink.mod;

<!-- Speech Synthesis Markup Language qualified names module -->
<!ENTITY % synthesis-qname.module "INCLUDE" >
<![%synthesis-qname.module;[
<!ENTITY % synthesis-qname.mod
	PUBLIC "-//W3C//ENTITIES SYNTHESIS Qualified Names 1.0//EN"
		   "synthesis-qname-1.mod" >
%synthesis-qname.mod;]]>

<!-- Speech Recognition Grammar Format qualified names module -->
<!ENTITY % grammar-qname.module "INCLUDE" >
<![%grammar-qname.module;[
<!ENTITY % grammar-qname.mod
	PUBLIC "-//W3C//ENTITIES GRAMMAR Qualified Names 1.0//EN"
		  "grammar-qname-1.mod" >
%grammar-qname.mod;]]>

<!-- Voice XML 2.0 qualified names module -->
<!ENTITY % voicexml-qname.module "INCLUDE" >
<![%voicexml-qname.module;[
<!ENTITY % voicexml-qname.mod
     PUBLIC "-//W3C//ENTITIES VOICEXML Qualified Names 1.0//EN"
            "voicexml-qname-1.mod" >
%voicexml-qname.mod;]]>

<!ENTITY % voicexml-attribs.module "INCLUDE" >
<![%voicexml-attribs.module;[
<!ENTITY % voicexml-attribs.mod
     PUBLIC "-//W3C//ENTITIES VOICEXML Common Attributes 1.0//EN"
            "voicexml-attribs-1.mod" >
%voicexml-attribs.mod;]]>

<!-- placeholder for content model redeclarations -->
<!ENTITY % voicexml-model.redecl "" >
%voicexml-model.redecl;

<!ENTITY % voicexml-model.module "INCLUDE" >
<![%voicexml-model.module;[
<!-- instantiate the Document Model module declared in the DTD driver
-->
%voicexml-model.mod;]]>

<!-- end of voicexml-framework-1.mod -->