<!-- ....................................................................... -->
<!-- XHTML+Voice Extension Qname Module  ................................... -->
<!-- file: xv-ext-qname-1.mod

     This is the XHTML+Voice Extension module adding declarative
     synchronization between XHTML form inputs and the VoiceXML field.

     Copyright 2000-2002 W3C (MIT, INRIA, Keio), All Rights Reserved.

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ENTITIES XHTML+Voice Extension Qnames 1.0//EN"
       SYSTEM "xv-ext-qname-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- XHTML+Voice Extension Qname (Qualified Name) Module

     This module is contained in two parts, labeled Section 'A' and 'B':

       Section A declares parameter entities to support namespace-
       qualified names, namespace declarations, and name prefixing
       for the XHTML+Voice extension.

       Section B declares parameter entities used to provide namespace-
       qualified names for all XHTML+Voice Extension element types:

         %sync.qname;   the xmlns-qualified name for <sync>
         ...
-->

<!-- Section A: XHTML+Voice Extension Namespace Framework :::::::::: -->

<!-- 1. Declare a %XV-EXT.prefixed; conditional section keyword, used
        to activate namespace prefixing. The default value should
        inherit '%NS.prefixed;' from the DTD driver, so that unless
        overridden, the default behaviour follows the overall DTD
        prefixing scheme.
-->
<!ENTITY % uri "CDATA">

<!ENTITY % XV.NAMESP.prefixed "IGNORE" >
<!ENTITY % XV-EXT.prefixed "%XV.NAMESP.prefixed;" >

<!-- 2. Declare a parameter entity (eg., %XV-EXT.xmlns;) containing
        the URI reference used to identify the XHTML+Voice namespace
-->
<!ENTITY % XV-EXT.xmlns  "http://www.voicexml.org/2002/xhtml+voice" >

<!-- 3. Declare parameter entities (eg., %XML.prefix;) containing
        the default namespace prefix string(s) to use when prefixing
        is enabled. This may be overridden in the DTD driver or the
        internal subset of an document instance. If no default prefix
        is desired, this may be declared as an empty string.

     NOTE: As specified in [XMLNAMES], the namespace prefix serves
     as a proxy for the URI reference, and is not in itself significant.
-->
<!ENTITY % XV-EXT.prefix  "xv" >

<!-- 4. Declare parameter entities (eg., %XV-EXT.pfx;) containing the
        colonized prefix(es) (eg., '%XV-EXT.prefix;:') used when
        prefixing is active, an empty string when it is not.
-->
<![%XV-EXT.prefixed;[
<!ENTITY % XV-EXT.pfx  "%XV-EXT.prefix;:" >
]]>
<!ENTITY % XV-EXT.pfx  "" >

<!-- declare qualified name extensions here ............ -->
<!ENTITY % xv-ext-qname-extra.mod "" >
%xv-ext-qname-extra.mod;

<!-- 5. The parameter entity %XV-EXT.xmlns.extra.attrib; may be
        redeclared to contain any non-XHTML+Voice namespace declaration
        attributes for namespaces embedded in XML. The default
        is an empty string.  XLink should be included here if used
        in the DTD.
-->
<!ENTITY % XV-EXT.xmlns.extra.attrib "" >

<!-- The remainder of Section A is only followed in XV-EXT, not extensions. -->

<!-- Declare a parameter entity %XV.NAMESP.decl.attrib; containing all XML
     namespace declarations used in the DTD, plus the xmlns declaration for
     XV-EXT, its form dependent on whether prefixing is active.
-->
<![%XV-EXT.prefixed;[
<!ENTITY % XV.NAMESP.decl.attrib
	"xmlns:%XV-EXT.prefix; %uri; #FIXED '%XV-EXT.xmlns;'
	%XV-EXT.xmlns.extra.attrib;"
>
]]>
<!ENTITY % XV.NAMESP.decl.attrib "%XV-EXT.xmlns.extra.attrib;" >

<!-- This is a placeholder for future XLink support. -->
<!ENTITY % XLINK.xmlns.attrib "" >

<!-- Declare a parameter entity %XV.NAMESP.decl.attrib; containing all XML
     namespace declaration attributes used by XV-EXT, including a default
     xmlns attribute when prefixing is inactive	     .
-->
<![%XV-EXT.prefixed;[
<!ENTITY % XV-EXT.xmlns.attrib
	"%XV.NAMESP.decl.attrib;
	 %XLINK.xmlns.attrib;"
>
]]>
<!ENTITY % XV-EXT.xmlns.attrib
	"xmlns		%uri;	#FIXED	'%XV-EXT.xmlns;'
	 %XLINK.xmlns.attrib;"
>	 	 

<!-- placeholder for qualified name redeclarations -->
<!ENTITY % XV-EXT-qname.redecl "" >
%XV-EXT-qname.redecl;

<!-- Section B: XML Qualified Names ::::::::::::::::::::::::::::: -->

<!-- 6. This section declares parameter entities used to provide
        XV.NAMESPace-qualified names for all XHTML+Voice element types.
-->

<!ENTITY % xv-ext.sync.qname  "%XV-EXT.pfx;sync" >
<!ENTITY % xv-ext.cancel.qname "%XV-EXT.pfx;cancel" >

<!-- The following defines a PE for use in the attribute sets of elements in
     other namespaces that want to incorporate the XHTML+Voice extension
     attributes. Note that in this case the XV-EXT.pfx should always be defined.
-->

<!ENTITY % xv-ext.id.qname "%XV-EXT.pfx;id" >
<!ENTITY % xv-ext.src.qname "%XV-EXT.pfx;src" >
<!ENTITY % xv-ext.expr.qname "%XV-EXT.pfx;expr" >
<!ENTITY % xv-ext.input.qname "%XV-EXT.pfx;input" >
<!ENTITY % xv-ext.field.qname "%XV-EXT.pfx;field" >
<!ENTITY % xv-ext.voice-handler.qname "%XV-EXT.pfx;voice-handler" >
<!ENTITY % xv-ext.html-form-id.qname "%XV-EXT.pfx;html-form-id" >

<!-- end of xv-ext-qname-1.mod --> 
